Classes | Namespaces | Macros | Typedefs
IWORKPropertyInfo.h File Reference
`#include <string>`

Go to the source code of this file.

## Classes
struct | libetonyek::IWORKPropertyInfo< Name >

## Namespaces
| libetonyek

## Macros
#define | IWORK_DECLARE_PROPERTY(name, type)
#define | IWORK_IMPLEMENT_PROPERTY(name) const IWORKPropertyID_t IWORKPropertyInfo<property::name>::id = #name

## Typedefs
typedef std::string | libetonyek::IWORKPropertyID_t

## Macro Definition Documentation

## ◆ IWORK_DECLARE_PROPERTY

#define IWORK_DECLARE_PROPERTY | ( |  | name,
|  |  | type
| ) |  |

Value:
namespace property { \
struct name {}; \
} \
\
template<> \
struct IWORKPropertyInfo<property::name> \
{ \
typedef type ValueType; \
static const IWORKPropertyID_t id; \
}
id
int id
Definition: IWORKToken.cpp:44
name
const char * name
Definition: IWORKToken.cpp:43
libetonyek::IWORKToken::type
Definition: IWORKToken.h:486
libetonyek::IWORKPropertyID_t
std::string IWORKPropertyID_t
Definition: IWORKPropertyInfo.h:18

## ◆ IWORK_IMPLEMENT_PROPERTY

#define IWORK_IMPLEMENT_PROPERTY | ( |  | name | ) | const IWORKPropertyID_t IWORKPropertyInfo<property::name>::id = #name